import type React from 'react';
import type { MarkOptional } from 'ts-essentials';
import type { TextFieldClient } from '../../fields/config/types.js';
import type { TextFieldValidation } from '../../fields/validations.js';
import type { ErrorComponent } from '../forms/Error.js';
import type { DescriptionComponent, FormFieldBase, LabelComponent } from '../types.js';
export type TextFieldProps = {
    readonly field: MarkOptional<TextFieldClient, 'type'>;
    readonly inputRef?: React.RefObject<HTMLInputElement>;
    readonly onKeyDown?: React.KeyboardEventHandler<HTMLInputElement>;
    readonly validate?: TextFieldValidation;
} & Omit<FormFieldBase, 'validate'>;
export type TextFieldLabelComponent = LabelComponent<'text'>;
export type TextFieldDescriptionComponent = DescriptionComponent<'text'>;
export type TextFieldErrorComponent = ErrorComponent<'text'>;
//# sourceMappingURL=Text.d.ts.map