import type React from 'react';
import type { MarkOptional } from 'ts-essentials';
import type { TextareaFieldClient } from '../../fields/config/types.js';
import type { TextareaFieldValidation } from '../../fields/validations.js';
import type { ErrorComponent } from '../forms/Error.js';
import type { DescriptionComponent, FormFieldBase, LabelComponent } from '../types.js';
export type TextareaFieldProps = {
    readonly field: MarkOptional<TextareaFieldClient, 'type'>;
    readonly inputRef?: React.Ref<HTMLInputElement>;
    readonly onKeyDown?: React.KeyboardEventHandler<HTMLInputElement>;
    readonly validate?: TextareaFieldValidation;
} & Omit<FormFieldBase, 'validate'>;
export type TextareaFieldLabelComponent = LabelComponent<'textarea'>;
export type TextareaFieldDescriptionComponent = DescriptionComponent<'textarea'>;
export type TextareaFieldErrorComponent = ErrorComponent<'textarea'>;
//# sourceMappingURL=Textarea.d.ts.map