export function parsePayloadComponent(payloadComponent) {
    if (!payloadComponent) {
        return null;
    }
    const pathAndMaybeExport = typeof payloadComponent === 'string' ? payloadComponent : payloadComponent.path;
    let path = '';
    let exportName = 'default';
    if (pathAndMaybeExport?.includes('#')) {
        [path, exportName] = pathAndMaybeExport.split('#');
    } else {
        path = pathAndMaybeExport;
    }
    if (typeof payloadComponent === 'object' && payloadComponent.exportName) {
        exportName = payloadComponent.exportName;
    }
    return {
        exportName,
        path
    };
}

//# sourceMappingURL=parsePayloadComponent.js.map