import type { SanitizedCollectionConfig } from '../../../collections/config/types.js';
import type { SanitizedGlobalConfig } from '../../../globals/config/types.js';
import type { JsonObject, PayloadRequest, RequestContext } from '../../../types/index.js';
import type { Field, TabAsField } from '../../config/types.js';
type Args = {
    collection: SanitizedCollectionConfig | null;
    context: RequestContext;
    data: JsonObject;
    doc: JsonObject;
    field: Field | TabAsField;
    global: SanitizedGlobalConfig | null;
    operation: 'create' | 'update';
    /**
     * The parent's path
     */
    parentPath: (number | string)[];
    /**
     * The parent's schemaPath (path without indexes).
     */
    parentSchemaPath: string[];
    previousDoc: JsonObject;
    previousSiblingDoc: JsonObject;
    req: PayloadRequest;
    siblingData: JsonObject;
    siblingDoc: JsonObject;
};
export declare const promise: ({ collection, context, data, doc, field, global, operation, parentPath, parentSchemaPath, previousDoc, previousSiblingDoc, req, siblingData, siblingDoc, }: Args) => Promise<void>;
export {};
//# sourceMappingURL=promise.d.ts.map